Gtk2::Range(3)

NAME
Gtk2::Range

HIERARCHY
  Glib::Object
  +----Glib::Object::_Unregistered::GInitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Range

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface

METHODS

  adjustment = $range->get_adjustment

  $range->set_adjustment ($adjustment)

    * $adjustment (Gtk2::Adjustment)

  $range->set_increments ($step, $page)
    * $step (double)
    * $page (double)

  boolean = $range->get_inverted

  $range->set_inverted ($setting)

    * $setting (boolean)

  $range->set_range ($min, $max)
    * $min (double)
    * $max (double)

  updatetype = $range->get_update_policy

  $range->set_update_policy ($policy)

    * $policy (Gtk2::UpdateType)

  double = $range->get_value

  $range->set_value ($value)
    * $value (double)

PROPERTIES

'adjustment' (Gtk2::Adjustment : readable / writable / construct / private)
    The GtkAdjustment that contains the current value of this range object

'inverted' (boolean : readable / writable / private)
    Invert direction slider moves to increase range value

'update-policy' (Gtk2::UpdateType : readable / writable / private)
    How the range should be updated on the screen

SIGNALS

value-changed (Gtk2::Range)
adjust-bounds (Gtk2::Range, double)
move-slider (Gtk2::Range, Gtk2::ScrollType)
boolean = change-value (Gtk2::Range, Gtk2::ScrollType, double)

ENUMS AND FLAGS

  enum Gtk2::ScrollType

* 'none' / 'GTK_SCROLL_NONE'
* 'jump' / 'GTK_SCROLL_JUMP'
* 'step-backward' / 'GTK_SCROLL_STEP_BACKWARD'
* 'step-forward' / 'GTK_SCROLL_STEP_FORWARD'
* 'page-backward' / 'GTK_SCROLL_PAGE_BACKWARD'
* 'page-forward' / 'GTK_SCROLL_PAGE_FORWARD'
* 'step-up' / 'GTK_SCROLL_STEP_UP'
* 'step-down' / 'GTK_SCROLL_STEP_DOWN'
* 'page-up' / 'GTK_SCROLL_PAGE_UP'
* 'page-down' / 'GTK_SCROLL_PAGE_DOWN'
* 'step-left' / 'GTK_SCROLL_STEP_LEFT'
* 'step-right' / 'GTK_SCROLL_STEP_RIGHT'
* 'page-left' / 'GTK_SCROLL_PAGE_LEFT'
* 'page-right' / 'GTK_SCROLL_PAGE_RIGHT'
* 'start' / 'GTK_SCROLL_START'
* 'end' / 'GTK_SCROLL_END'

  enum Gtk2::UpdateType

* 'continuous' / 'GTK_UPDATE_CONTINUOUS'
* 'discontinuous' / 'GTK_UPDATE_DISCONTINUOUS'
* 'delayed' / 'GTK_UPDATE_DELAYED'

SEE ALSO
Gtk2, Glib::Object, Glib::Object::_Unregistered::GInitiallyUnowned, Gtk2::Object, Gtk2::Widget

COPYRIGHT
Copyright (C) 2003-2005 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.